aboutsummaryrefslogtreecommitdiff
path: root/network/webex/webex.SlackBuild
diff options
context:
space:
mode:
authorEugene Wissner <belka@caraus.de>2022-09-09 03:22:50 +0100
committerDave Woodfall <dave@slackbuilds.org>2022-09-09 03:22:50 +0100
commite2be3675529441cab784737d011ea1d1151d71a4 (patch)
tree77e4ef6cacf6564b2532732342456802f71d7168 /network/webex/webex.SlackBuild
parentf70de1e238051bd1138365805da9b2e0203c99e9 (diff)
network/webex: Added (Webex for Linux)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
Diffstat (limited to 'network/webex/webex.SlackBuild')
-rw-r--r--network/webex/webex.SlackBuild87
1 files changed, 87 insertions, 0 deletions
diff --git a/network/webex/webex.SlackBuild b/network/webex/webex.SlackBuild
new file mode 100644
index 000000000000..58dc31f13f9b
--- /dev/null
+++ b/network/webex/webex.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+# Slackware build script for webex
+
+# Copyright 2022 Eugene Wissner, Dachau, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=webex
+VERSION=${VERSION:-42.7.0.22904}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$ARCH" in
+ i?86) ARCH=i386 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+REAL_VER=$(ar p Webex.deb control.tar.gz 2> /dev/null | tar zxO ./control 2> /dev/null | grep Version | awk '{print $2}' | cut -d- -f1)
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/Webex.deb data.tar.xz | tar xJv || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install a .desktop launcher:
+patch -p1 --verbose -i $CWD/desktop.patch
+mkdir -p $PKG/usr/share/applications
+mv $PKG/opt/Webex/bin/webex.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Link the binary:
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin; ln -s ../../opt/Webex/bin/CiscoCollabHost webex )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$REAL_VER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$REAL_VER/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.$PKGTYPE